Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 288124 - media-video/cinepaint-0.22.1 plug-ins/collect/collect.cpp missing (char *) casts
Summary: media-video/cinepaint-0.22.1 plug-ins/collect/collect.cpp missing (char *) casts
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard: Pending removal 2010-02-15
Keywords: Inclusion, PMASKED
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-10-07 21:26 UTC by Hank Leininger
Modified: 2010-02-17 15:57 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add missing (char *) casts to cinepaint-0.22-1/plug-ins/collect/collect.cpp (cinepaint-0.22-1-cast.diff,1.02 KB, patch)
2009-10-07 21:29 UTC, Hank Leininger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hank Leininger 2009-10-07 21:26:52 UTC
media-video/cinepaint-0.22.1 will not compile with g++ 4.4.1, dying in plug-ins/collect/ with:

collect.cpp: In function 'int do_collect()':
collect.cpp:304: error: invalid conversion from 'const char*' to 'char*'
collect.cpp:304: error:   initializing argument 2 of 'void gimp_layer_set_name(gint32, char*)'
collect.cpp:344: error: invalid conversion from 'const char*' to 'char*'
collect.cpp:344: error:   initializing argument 2 of 'void gimp_layer_set_name(gint32, char*)'


Simply casting the second argument to gimp_layer_set_name as (char *) allows cinepaint to compile; will attach a diff.  I can't warranty correctness though.  There are many many compiler warnings throughout cinepaint.

Reproducible: Always

Steps to Reproduce:
1. (Maybe not required) upgrade GCC/G++ to 4.4.1 
2. emerge cinepaint
Comment 1 Hank Leininger 2009-10-07 21:29:58 UTC
Created attachment 206370 [details, diff]
Add missing (char *) casts to cinepaint-0.22-1/plug-ins/collect/collect.cpp
Comment 2 Damien Thébault 2009-11-03 14:39:55 UTC
(In reply to comment #1)
> Created an attachment (id=206370) [details]
> Add missing (char *) casts to cinepaint-0.22-1/plug-ins/collect/collect.cpp

The real fix would be to modify gimp_layer_set_name() to use "const char *" parameter, isn't it?
Comment 3 Honza Macháček 2009-12-28 18:28:32 UTC
(In reply to comment #2)
> The real fix would be to modify gimp_layer_set_name() to use "const char *"
> parameter, isn't it?

The patch http://bugs.gentoo.org/attachment.cgi?id=210627&action=view by Jan Scholz from the Bug 278375 does so, I think. Using that I hit the Bug 259331 and using https://bugs.gentoo.org/attachment.cgi?id=187464&action=view by Mike from that bug I got to the final problem mentioned there as well as in its own Bug 246374 -- I've got over that by using the media-video/cinepaint-9999.ebuild proposed in the Bug 278375 by Michael Weber.

After adding his owerlay http://svn.xmw.de/gentoo-overlay/ to my system I have
installed cinepaint successfully, even with the oyranos support. I cannot tell
yet how well it actually works.
Comment 4 Tomáš Chvátal (RETIRED) gentoo-dev 2010-02-17 15:57:08 UTC
Treecleaned